<? $DEFINITIONS = Zend_Registry::get('defines'); ?>
<? $this->headScript()->appendFile(_st('alert-me-private.js')); ?>

<style type="text/css">
	.escorts { background: none; margin: 0; }
	.escort { height: auto; }
</style>

<? if ($this->items): ?>
<div class="escorts">
	<? $j = 0; ?>
	<? foreach ($this->items as $k => $item): ?>
		<? $cities_str = ''; if (array_key_exists('cities', $item)) { $cities_str = $item['cities']; unset($item['cities']);  } ?>
		<? if (isset($this->escorts[$k])): ?>
			<? $j ++; ?>
			<? $st_item = implode(',', $item); ?>
			<div class="escort prem">
				<a href="<?= $this->getLink('profile', array('showname' => $this->escorts[$k]->showname, 'escort_id' => $this->escorts[$k]->id)) ?>" style="text-decoration: none; font-weight: bold; display: block; margin-bottom: 5px;"><?= $this->escorts[$k]->showname ?></a>
				<div class="alertme-icon"><?= __('alm_alert_me') ?></div>
				<div class="wrap">
					<div class="image">
						<? if ($this->escorts[$k]->verified_status == Model_Escorts::VERIFIED_STATUS_VERIFIED): ?><div class="p100s-<?= $this->lang() ?>"></div><? endif; ?>
						<? if ($this->escorts[$k]->is_new): ?><span class="new"></span><? endif; ?>
						<a href="<?= $this->getLink('profile', array('showname' => $this->escorts[$k]->showname, 'escort_id' => $this->escorts[$k]->id)) ?>">
							<img class="escort-thumb" alt="" src="<?= $this->escorts[$k]->getMainPhoto()->getUrl('thumb') ?>" />
						</a>
					</div>
				</div>

				<form action="" method="post" class="alertme-form" id="form-<?= $k ?>">
					<label for="alm-<?= ALERT_ME_NEW_COMMENT ?>-<?= $k ?>">
						<input 
							type="checkbox" 
							name="<?= ALERT_ME_NEW_COMMENT ?>_<?= $k ?>" 
							id="alm-<?= ALERT_ME_NEW_COMMENT ?>-<?= $k ?>" 
							<? if ($st_item != '1,2,3,4' && in_array(ALERT_ME_NEW_COMMENT, $item)): ?>checked="checked"<? endif; ?> 
						/> 
						<span><?= $DEFINITIONS['alert_me'][ALERT_ME_NEW_COMMENT] ?></span>
					</label>
					<label for="alm-<?= ALERT_ME_MODIFICATION_ON_PROFILE ?>-<?= $k ?>">
						<input 
							type="checkbox" 
							name="<?= ALERT_ME_MODIFICATION_ON_PROFILE ?>_<?= $k ?>" 
							id="alm-<?= ALERT_ME_MODIFICATION_ON_PROFILE ?>-<?= $k ?>" 
							<? if ($st_item != '1,2,3,4' && in_array(ALERT_ME_MODIFICATION_ON_PROFILE, $item)): ?>checked="checked"<? endif; ?> 
						/> 
						<span><?= $DEFINITIONS['alert_me'][ALERT_ME_MODIFICATION_ON_PROFILE] ?></span>
					</label>
					<label for="alm-<?= ALERT_ME_NEW_PICTURES ?>-<?= $k ?>">
						<input 
							type="checkbox" 
							name="<?= ALERT_ME_NEW_PICTURES ?>_<?= $k ?>" 
							id="alm-<?= ALERT_ME_NEW_PICTURES ?>-<?= $k ?>" 
							<? if ($st_item != '1,2,3,4' && in_array(ALERT_ME_NEW_PICTURES, $item)): ?>checked="checked"<? endif; ?> 
						/> 
						<span><?= $DEFINITIONS['alert_me'][ALERT_ME_NEW_PICTURES] ?></span>
					</label>
					<label for="alm-<?= ALERT_ME_NEW_REVIEW ?>-<?= $k ?>">
						<input 
							type="checkbox" 
							name="<?= ALERT_ME_NEW_REVIEW ?>_<?= $k ?>" 
							id="alm-<?= ALERT_ME_NEW_REVIEW ?>-<?= $k ?>" 
							<? if ($st_item != '1,2,3,4' && in_array(ALERT_ME_NEW_REVIEW, $item)): ?>checked="checked"<? endif; ?> 
						/> 
						<span><?= $DEFINITIONS['alert_me'][ALERT_ME_NEW_REVIEW] ?></span>
					</label>
					<label for="alm-<?= ALERT_ME_ANY_CHANGE ?>-<?= $k ?>">
						<input 
							type="checkbox" 
							name="<?= ALERT_ME_ANY_CHANGE ?>_<?= $k ?>" 
							id="alm-<?= ALERT_ME_ANY_CHANGE ?>-<?= $k ?>" 
							class="alm-any" 
							<? if ($st_item == '1,2,3,4' || $st_item == '1,2,3,4,6' ): ?>checked="checked"<? endif; ?> 
						/> 
						<span><?= $DEFINITIONS['alert_me'][ALERT_ME_ANY_CHANGE] ?></span>
					</label>
					<label for="alm-<?= ALERT_ME_CITY ?>-<?= $k ?>">
						<input 
							type="checkbox" 
							name="<?= ALERT_ME_CITY ?>_<?= $k ?>" 
							id="alm-<?= ALERT_ME_CITY ?>-<?= $k ?>" 
							<? if (in_array(ALERT_ME_CITY, $item)): ?>checked="checked"<? endif; ?> 
						/> 
						<span><?= $DEFINITIONS['alert_me'][ALERT_ME_CITY] ?></span>
					</label>
					<? if ($this->cities_list): ?>
					<label class="fleft">
						<select name="city_id" id="city_id_<?= $k ?>">
							<option value="">- - -</option>
							<? if (isset($this->countries_list) && count($this->countries_list) > 0): ?>
								<? foreach ($this->countries_list as $country): ?>
									<option value="" disabled="disabled" class="disabled"><?= $country->title ?></option>
									<? foreach ($this->cities_list as $city): ?>
										<? if ($city->country_id == $country->id): ?>
											<option value="<?= $city->id ?>" class="c-city"><?= $city->title ?></option>
										<? endif; ?>
									<? endforeach; ?>
								<? endforeach; ?>
							<? else: ?>
								<? foreach ($this->cities_list as $city): ?>
									<option value="<?= $city->id ?>"><?= $city->title ?></option>
								<? endforeach; ?>
							<? endif; ?>
						</select>
					</label>
					<label class="fleft">
						<input type="button" value="Add" class="alertme-city-btn" rel="<?= $k ?>" />
					</label>
					<div class="clear"></div>
					<label id="city-items-<?= $k ?>">
						<? if (strlen($cities_str) > 0): ?>
							<? $m = new Model_Cities(); $cities = $m->getByIds($cities_str); ?>
							<? foreach ($cities as $c): ?>
								<div class="city-item-wr">
									<a id="<?= $c->id ?>" class="city-item" rel="<?= $k ?>"></a><?= $c->title ?>
									<input type="hidden" class="cts" value="<?= $k . '-' . $c->id ?>" />
								</div>
							<? endforeach; ?>
						<? endif; ?>
					</label>
					<? endif; ?>
				</form>
				<div class="alertme-i-w">
					<img src="/img/v2.1/alertme_save_icon.png" class="fleft" />
					<a href="#" class="alertme-save-remove alertme-save" rel="<?= $k ?>"><?= __('alm_save_changes') ?></a>
					<div class="clear"></div>
				</div>

				<div class="alertme-i-w">
					<img src="/img/v2.1/alertme_remove_icon.png" class="fleft" />
					<a href="#" class="alertme-save-remove alertme-remove" rel="<?= $k ?>"><?= __('alm_remove') ?></a>
					<div class="clear"></div>
				</div>
			</div>
			<? if ($j == 5): ?>
				<div class="clear"></div>
				<? $j = 0; ?>
			<? endif; ?>
		<? endif; ?>
	<? endforeach; ?>
	
	<div class="clear"></div>
</div>
<? else: ?>
	<?= __('alm_no_alerts') ?>
<? endif; ?>
